<?php
require_once( dirname(__FILE__) . '../../../../../wp-config.php');
require_once( dirname(__FILE__) . '../../functions.php');
header("Content-type: text/css"); 
?>
<?php //Load Variables
  $background_color = get_option('gpp_background_color');
  $background_image = get_option('gpp_background_image');
  $background_repeat = get_option('gpp_background_repeat');  
  $page_color = get_option('gpp_page_color');
  $border_color = get_option('gpp_border_color');
  $logo_color = get_option('gpp_logo_color');
  $font_color = get_option('gpp_font_color');
  $link_color = get_option('gpp_link_color');
  $hover_color = get_option('gpp_hover_color');
  $footer_color = get_option('gpp_footer_color');
  $nav_bg_color = get_option('gpp_nav_bg_color');
  $nav_bg_hover_color = get_option('gpp_nav_bg_hover_color');
  $nav_link_color = get_option('gpp_nav_link_color');
  $nav_link_hover_color = get_option('gpp_nav_link_hover_color');
  $custom_css = get_option('gpp_custom_css');
?> 
<?php
$css = get_option('gpp_css');
//echo $css; exit;
if($css) { ?>
/*Base Colors
------------------------------------------------------------ */
body { background: #<?php echo $background_color; ?> <?php if(isset($background_image)) { ?>url(<?php echo $background_image; ?>) <?php } if(isset($background_repeat)) { echo $background_repeat; } ?>; }
.container, .sliderGallery { background: #<?php echo $page_color; ?>; }
div.colborder, div.border { border-right: 1px solid #<?php echo $border_color; ?>; }
.box,.postmetadata,.nav,#sidebar ul li a:hover,ul.txt li:hover {background: #<?php echo $border_color; ?> }
#sidebar ul li a,ul.txt li { border-bottom: 1px solid #<?php echo $border_color; ?>; }
hr {background: #<?php echo $border_color; ?>; color: #<?php echo $border_color; ?>; }
#footer-wrap {background: #<?php echo $footer_color; ?>;}

/*Font Color
------------------------------------------------------------ */
#masthead h4 a, #masthead #logo h1 a, #masthead #logo h1.sitename a {color: #<?php echo $logo_color; ?>}
body,p,h1,h2,h3,h4,h5,h6,h1 a,h2 a,h3 a,h4 a,h5 a,h6 a {color: #<?php echo $font_color; ?>}
h3.sub,h2.sub {border-bottom: 1px solid #<?php echo $border_color; ?>; }
.welcomebox h2, .welcomebox h6, .welcomebox p {color:#<?php echo $font_color; ?>}

/*Links 
------------------------------------------------------------ */
a, a:link, a:visited, .welcomebox h2 a { color: #<?php echo $link_color; ?>; }

/*Hover 
------------------------------------------------------------ */
a:hover, a:focus { color: #<?php echo $hover_color; ?>; }

/*Navigation
------------------------------------------------------------ */
#top .sf-menu, #top .sf-menu li,.sf-menu, .sf-menu li, #menu-wrap { background:#<?php echo $nav_bg_color; ?>; }
#top .sf-menu li a,.sf-menu li a { color:#<?php echo $nav_link_color; ?>; background: #<?php echo $nav_bg_color; ?>; }
#top .sf-menu li a:hover, .sf-menu li a:hover { color:#<?php echo $nav_link_hover_color; ?>; background:#<?php echo $nav_bg_hover_color; ?>}
#top #search #s, #search #s {border: 1px solid #<?php echo $nav_bg_hover_color; ?>;}

/*PhotoShelter
-------------------------------------------------------------*/
#psContent { background: #<?php echo $page_color; ?>; }
/*#psContent .slide { margin: auto; background: #<?php echo $page_color; ?>; }*/
/*#psContent .imagebox, ul.thumbs li { background: #<?php echo $page_color; ?>; }*/

/*Custom CSS
-------------------------------------------------------------*/
<?php echo $custom_css; ?>

<?php } ?>